=== debian/changelog ===
dde-session (1.2.13) unstable; urgency=medium

  * chore: 解决修改快捷键配置重启后恢复的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:45:01 +0800

dde-session (1.2.12) unstable; urgency=medium

 * fix deepin-kwin shortcuts

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 3 Jul 2024 14:42:06 +0800

dde-session (1.2.11) unstable; urgency=medium

 * release 1.2.11

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

dde-session (1.2.10) unstable; urgency=medium

  * release 1.2.10

 -- Mike Chen <chenke@deepin.org>  Thu, 16 May 2024 17:16:32 +0800

dde-session (1.2.9) unstable; urgency=medium

  * chore: move dde-session@x11 to dde-session-pre.target

 -- justforlxz <zhangdingyuan@deepin.org>  Sun, 28 Apr 2024 13:03:06 +0800

dde-session (1.2.8) unstable; urgency=medium

  * fix: logging out takes a long time

 -- zsien <quezhiyong@deepin.org>  Wed, 24 Apr 2024 13:49:56 +0800

dde-session (1.2.7) unstable; urgency=medium

  * chore: dde-shell replace dde-dock

 -- tsic404 <liuhenga@deepin.org>  Fri, 29 Mar 2024 10:18:05 +0800

dde-session (1.2.6) unstable; urgency=medium

  * fix: dock will flash when logout

 -- dengbo <dengbo@deepin.org>  Wed, 31 Jan 2024 11:23:52 +0800

dde-session (1.2.5) unstable; urgency=medium

  * fix: deepin-authenticate load abnormal
  * fix: kwin launch failed

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 09:09:01 +0800

dde-session (1.2.4) unstable; urgency=medium

  * fix #5743

 -- Mike Chen <chenke@deepin.org>  Mon, 22 Jan 2024 17:39:56 +0800

dde-session (1.2.3) unstable; urgency=medium

  * chore: remove wayland entry
  * chore: QT_QPA_PLATFORM env add dxcb

 -- dengbo <dengbo@deepin.org>  Thu, 11 Jan 2024 10:18:09 +0800

dde-session (1.2.2) unstable; urgency=medium

  * fix: fcitx5 can not start

 -- dengbo <dengbo@deepin.org>  Wed, 27 Dec 2023 11:20:15 +0800

dde-session (1.2.1) unstable; urgency=medium

  * fix: XDG_SESSION_TYPE is error when switch display manager environment

 -- dengbo <dengbo@deepin.org>  Tue, 28 Nov 2023 14:20:20 +0800

dde-session (1.2.0) unstable; urgency=medium

  * fix: dde-session cannot shutdown
  * fix: fix-linglong app is missing
  * chore: env update script add

 -- dengbo <dengbo@deepin.org>  Wed, 22 Nov 2023 16:04:20 +0800

dde-session (1.1.9) unstable; urgency=medium

  * fix: dock bluetooth module missing

 -- dengbo <dengbo@uniontech.com>  Tue, 12 Sep 2023 16:04:50 +0800

dde-session (1.1.8) unstable; urgency=medium

  * chore: update dde-dock depency

 -- dengbo <dengbo@uniontech.com>  Wed, 06 Sep 2023 15:00:20 +0800

dde-session (1.1.7) unstable; urgency=medium

  * fix: Disorder between dde-lock and dde-session-daemon

 -- dengbo <dengbo@uniontech.com>  Wed, 06 Sep 2023 10:01:51 +0800

dde-session (1.1.6) unstable; urgency=medium

  * chore: remove dde-session-wayland.target in dde-session@x11.service
  * fix: stop pipewire in logout

 -- dengbo <dengbo@uniontech.com>  Tue, 22 Aug 2023 10:39:50 +0800

dde-session (1.1.5) unstable; urgency=medium

  * fix: dde-desktop启动应依赖dde-appearance服务

 -- dengbo <dengbo@uniontech.com>  Fri, 07 Jul 2023 10:24:50 +0800

dde-session (1.1.4) unstable; urgency=medium

  * release dde-sesion

 -- dengbo <dengbo@uniontech.com>  Fri, 12 May 2023 10:21:20 +0800

dde-session (1.1.3) unstable; urgency=medium

  * fix: no environment variable on wayland session
  * chore: remove Qt font set through xsettings

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 17:56:30 +0800

dde-session (1.1.2) unstable; urgency=medium

  * refactor: Organize systemd services
  * refactor: remove unneeded dependencies
  * chore: dde-session-daemon.target.wants some services is lost

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:16:30 +0800

dde-session (1.1.1) unstable; urgency=medium

  * chore: sync changes in deepin-kwin
  * chore: install dde-session-ctl to CMAKE_INSTALL_LIBEXECDIR
  * fix: not in the correct exit order
  * fix: dapplication cannot load icon
  * fix: wine window shadows not following

 -- dengbo <dengbo@uniontech.com>  Sun, 23 Apr 2023 17:35:15 +0800

dde-session (1.1.0) unstable; urgency=medium

  * fix: dde-display doesn't start logout steps when stopped

 -- dengbo <dengbo@uniontech.com>  Fri, 7 Apr 2023 15:21:40 +0800

dde-session (1.0.9) unstable; urgency=medium

  [ TagBuilder ]
  * fix: wrong environment variable cleanup
  * feat: add wayland session entry
  * chore!: use DDE for current desktop name
  * fix: 切换用户后打开关机界面异常 (#6)

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 14:15:01 +0800

dde-session (1.0.8) unstable; urgency=medium

  [ TagBuilder ]
  * chore: update doc(Task: 108555)(Influence: null)
  * fix: 大版本升级异常退出登录问题修复(Bug: 183785)(Influence: 升级)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 09:47:30 +0800

dde-session (1.0.7.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: dde-session大版本升级冲突(Task: 237865)

 -- lvpeilong <lvpeilong@uniontech.com>  Tue, 17 Jan 2023 09:14:28 +0800

dde-session (1.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复SessionManager属性变化无法监听的问题(Task: 230459)(Influence: 暂无)
  * fix: 修复高分屏下企业微信无法跟随系统缩放显示问题(Bug: 182737)(Influence: wine应用缩放)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 11:46:29 +0800

dde-session (1.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复注销时声音特效不生效问题(Task: 160613)(Influence: 声音特效-注销)
  * feat: 迁移iowait功能(Task: 230459)(Influence: cpu处于iowait状态时，鼠标光标会改变样式)
  * feat: 进入桌面后，初始化鼠标光标样式(Task: 230459)(Influence: 进入桌面后，初始化鼠标光标样式)
  * feat: 进入桌面后播放自动登录声音(Task: 230459)(Influence: 进入桌面后播放自动登录声音)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 15:14:39 +0800

dde-session (1.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 迁移sessionManager服务接口(Task: 203055)
  * feat: 增加系统版本更新检测机制(Task: 203055)(Influence: 系统版本更新后，自动打开欢迎界面)
  * feat: 启动后检检查keyring配置文件(Task: 203055)(Influence: login.keyring不存在时自动创建默认的配置文件)
  * feat: 启动后检检查xsettings配置(Task: 203055)(Influence: 用户默认字体显示正常)

