=== debian/control ===
Source: dde-session
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libdtkcore-dev (>=5.4.14),
 libdtkcore5-bin,
 libglib2.0-dev,
 libgsettings-qt-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libx11-dev,
 libxcursor-dev,
 libxfixes-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-session
Architecture: any
Depends:
 jq,
 sed (>= 4),
 startdde (>= 6.0.11),
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde session module
  dde-session is used for launching DDE components systemd service project.
