## dde-session 1.99.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
 include(GNUInstallDirs)
+
+set(QT_VERSION_MAJOR 6)
+set(DTK_VERSION_MAJOR 6)
 
 macro(install_symlink filepath wantsdir)
     file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
