=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 set(XSESSION
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
-    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/94qt_env
 )
 
 set(PROFILE
