=== tools/CMakeLists.txt ===
add_subdirectory("dde-login-reminder")
add_subdirectory("dde-keyring-checker")
add_subdirectory("dde-version-checker")
add_subdirectory("dde-xsettings-checker")
