=== tools/dde-version-checker/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(BIN_NAME dde-version-checker)
 
-#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-find_package(Qt5 COMPONENTS Core REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -10,11 +9,11 @@
 
 add_executable(${BIN_NAME}
     main.cpp
-    )
+)
 
 target_link_libraries(${BIN_NAME}
     Qt${QT_VERSION_MAJOR}::Core
-    )
+)
 
 install(TARGETS ${BIN_NAME} DESTINATION bin)
