=== debian/changelog ===
dde-session (1.99.17) unstable; urgency=medium

  * fix: unset systemd-user's DISPLAY env when system logs out

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:06:38 +0800

dde-session (1.99.16) unstable; urgency=medium

  * fix: don't target dde-session-shutdown when kwin failure

 -- luhongxu <luhongxu@deepin.org>  Thu, 15 May 2025 11:35:19 +0800

dde-session (1.99.15) unstable; urgency=medium

  * fix: desktop can be restart when it was killed
  * fix: reorder login sound playback in sessionmanager

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:52:58 +0800

dde-session (1.99.14) unstable; urgency=medium

  * fix: auto rename deepin-kwin config in kglobalshortcutsrc

 -- rewine <luhongxu@deepin.org>  Wed, 09 Apr 2025 10:34:39 +0800

dde-session (1.99.13) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Thu, 03 Apr 2025 15:14:45 +0800

dde-session (1.99.12) unstable; urgency=medium

  * rename deepin-kwin to kwin

 -- rewine <luhongxu@uniontech.com>  Mon, 24 Mar 2025 10:33:39 +0800

dde-session (1.99.11) unstable; urgency=medium

  * fix: return value spelling error

 -- zhangkun <zhangkun2@uniontech.com>  Sat, 08 Mar 2025 13:49:35 +0800

dde-session (1.99.10) unstable; urgency=medium

  * fix: 修复从登录页面到桌面加载时间大约需要2分钟问题.

 -- Chengqi E<echengqi@uniontech.com>  Thu, 06 Mar 2025 20:46:55 +0800

dde-session (1.99.9) unstable; urgency=medium

  * chore: adapt to Qt6.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 17:41:56 +0800

dde-session (1.99.8) unstable; urgency=medium

  * fix: not reconnect to treeland
  * fix: the language change in Treeland is not work

 -- zsien <quezhiyong@deepin.org>  Fri, 27 Dec 2024 09:46:50 +0800

dde-session (1.99.7) unstable; urgency=medium

  * fix: dde-desktop unable to start

 -- tsic404 <liuheng@depein.org>  Mon, 16 Dec 2024 15:27:03 +0800

dde-session (1.99.6) unstable; urgency=medium

  * chore: add xcb to QT_QPA_PLATFORM fallback
  * fix: the environment variable is set incorrectly

 -- xionglinlin <xionglinlin@uniontech.com>  Sat, 14 Dec 2024 14:33:18 +0800

dde-session (1.99.5) unstable; urgency=medium

  * move desktop in a separate process
  * feat: set a fixed cursor size on Wayland

 -- tsic404 <liuheng@depein.org>  Fri, 13 Dec 2024 10:31:27 +0800

dde-session (1.99.4) unstable; urgency=medium

  * fix: 窗口特效支持三挡调节
  * chore: remove 94qt_env
  * fix: dtk6 theme is not deepin style on Non-Debian base distributions

 -- fuleyi <fuleyi@uniontech.com>  Fri, 06 Dec 2024 14:37:46 +0800

dde-session (1.99.3) unstable; urgency=medium

  * chore: remove dde-desktop

 -- zsien <quezhiyong@deepin.org>  Fri, 29 Nov 2024 15:41:24 +0800

dde-session (1.99.2) UNRELEASED; urgency=medium

  * feat: DDE适配Treeland

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 22 Nov 2024 13:45:22 +0800

dde-session (1.99.1) UNRELEASE; urgency=medium

  * feat: disable dde-osd service in professional version(task: 365219)

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 24 Oct 2024 15:50:56 +0800

dde-session (1.2.14) unstable; urgency=medium

  * release 1.2.14

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 22 Oct 2024 20:43:31 +0800
