=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 11),
- libdtkcore-dev (>=5.4.14),
- libdtkcore5-bin,
+ libdtk6core-dev,
+ libdtk6core-bin,
  libglib2.0-dev,
- libgsettings-qt-dev,
  libsecret-1-dev,
  libsystemd-dev,
  libx11-dev,
  libxcursor-dev,
  libxfixes-dev,
  pkg-config,
- qtbase5-dev,
+ qt6-base-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
 
@@ -24,7 +23,7 @@
 Depends:
  jq,
  sed (>= 4),
- startdde (>= 6.0.11),
+ dde-daemon (>= 6.1.26),
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
