=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-find_package(DtkTools REQUIRED)
+# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Tools)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -9,13 +13,13 @@
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)
 set(QT_DBUS_INTERFACE_INCLUDE ${PROJECT_BINARY_DIR}/dbusinterface/)
 
-macro(qt5_add_dbus_interface_fix srcs xml class file)
+macro(qt_add_dbus_interface_fix srcs xml class file)
   execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbusinterface/${file} ${PROJECT_SOURCE_DIR}/dbus/interface/${xml})
   list(APPEND ${srcs}
     ${PROJECT_BINARY_DIR}/dbusinterface/${file}.h
     ${PROJECT_BINARY_DIR}/dbusinterface/${file}.cpp
   )
-endmacro(qt5_add_dbus_interface_fix)
+endmacro(qt_add_dbus_interface_fix)
 
 # qtdbusextended
 set(DBUS_INCLUDE ${PROJECT_SOURCE_DIR}/dbus/)
