=== tools/dde-login-reminder/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,10 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core Network REQUIRED)
-find_package(Qt5 COMPONENTS Core Network DBus REQUIRED)
+
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network DBus REQUIRED)
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
 
 message(${PROJECT_SOURCE_DIR})
 
@@ -16,18 +15,17 @@
     loginreminderinfo.h
     loginreminderinfo.cpp
     ${PROJECT_SOURCE_DIR}/src/utils/utils.h
-    )
+)
 
 target_link_libraries(${BIN_NAME}
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
     Qt${QT_VERSION_MAJOR}::Network
-    PkgConfig::QGSettings
-    )
+)
 
 target_include_directories(${BIN_NAME} PUBLIC
     ${PROJECT_SOURCE_DIR}/src/utils
-    )
+)
 
 install(TARGETS ${BIN_NAME} DESTINATION bin)
