=== debian/changelog ===
dde-session (2.0.3) unstable; urgency=medium

  * fix: update systemd service configurations
  * fix: remove QT logging rules check for UOS

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 15:13:57 +0800

dde-session (2.0.2) unstable; urgency=medium

  * fix: launch dde-lock.service when lock was unlocked in quick login mode

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 24 Jun 2025 20:53:35 +0800

dde-session (2.0.1) unstable; urgency=medium

  * fix: cannot receive ActiveChanged signal when os was restarted

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 23 Jun 2025 21:28:59 +0800

dde-session (2.0.0) unstable; urgency=medium

  * feat: update session configuration for Deepin Desktop Environment

 -- fuleyi <fuleyi@uniontech.com>  Fri, 20 Jun 2025 16:59:39 +0800

dde-session (1.99.21) unstable; urgency=medium

  * feat: enable position independent code in CMake

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 11:00:01 +0800

dde-session (1.99.20) unstable; urgency=medium

  * fix: start deepin-keyring-whitebox when dde-session starting
  * fix: using DPMS to close screen when need hibernate

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 09:52:01 +0800

dde-session (1.99.19) unstable; urgency=medium

  * chore: add dde quick login

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 06 Jun 2025 09:37:10 +0800

dde-session (1.99.18) unstable; urgency=medium

  * fix: 解决音效服务异常的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 27 May 2025 16:53:17 +0800
