## dde-session 2.0.6

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 set(XSESSION
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
+    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/97deepin-keyring-wb
 )
 
 set(PROFILE
