=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set (CMAKE_CXX_STANDARD 11)
-set(CMAKE_CXX_FLAGS "-W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")
 
 # qdbusxml2cpp-fix
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)
