## dde-session 2.0.7

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 add_subdirectory("dde-keyring-checker")
 add_subdirectory("dde-version-checker")
 add_subdirectory("dde-xsettings-checker")
+add_subdirectory("dde-quick-login")
