=== debian/changelog ===
dde-session (2.0.7) unstable; urgency=medium

  * fix: resolve audio service stop issue during logout

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:44:08 +0800
