=== tools/dde-version-checker/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 set(SYSTEMD_FILES
     dde-version-checker.service
+    dde-version-checker@quick-login.service
 )
 install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
 install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
+# 只为普通的 dde-version-checker.service 创建 symlink，quick-login 版本不自动启动
 install_symlink(dde-version-checker.service dde-session-initialized.target.wants)
